Skip to main content
`Ctrl`+`K`

# PetscGetProgramName

Gets the name of the running program.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscGetProgramName(char name[], size_t len)

Not Collective

## Input Parameter

- len - length of the string name

## Output Parameter

- name - the name of the running program, provide a string of length `PETSC_MAX_PATH_LEN`

## See Also

`PetscFinalize()`, `PetscInitializeFortran()`, `PetscGetArguments()`, `PetscInitialize()`

## Level

advanced

## Location

src/sys/objects/pinit.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages